%define rel   1

Name: konsole
Summary: A terminal emulator similar to xterm for KDE
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 1
Group: Graphical desktop/KDE
License: GPLv2 and LGPLv2 and GFDL
URL: http://konsole.kde.org/
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: kdebase4-devel >= 1:%{version}

Requires: kdebase4-runtime
Requires: x11-font-misc-misc
Suggests: konsole-doc
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%{name}-%version.tar.xz

#branch patches (100-199)

#trunk patches (200-300)

# Mageia patchs

# Fedora/Kubuntu patchs

%description
A terminal emulator, similar to xterm, for KDE.

%files
%_kde_bindir/konsole
%_kde_bindir/konsoleprofile
%_kde_libdir/kde4/libkonsolepart.so
%_kde_libdir/libkdeinit4_konsole.so
%_kde_libdir/libkonsoleprivate.so
%_kde_applicationsdir/konsole.desktop
%_kde_appsdir/konsole
%_kde_services/ServiceMenus/konsolehere.desktop
%_kde_services/konsolepart.desktop
%_kde_servicetypes/terminalemulator.desktop

#------------------------------------------------------------------------------

%package doc
Summary: Konsole Documentation
Conflicts: konsole < 1:4.7.2
BuildArch: noarch
Group: Books/Other 
%description doc
This package provides Konsole documentation.

%files doc
%doc README COPYING COPYING.DOC COPYING.LIB
%docdir %_kde_docdir/
%_kde_docdir/%{name}/manual
%_kde_docdir/%{name}/developer
%_kde_docdir/%{name}/user
%_kde_docdir/HTML/en/konsole

#------------------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build
mkdir -p %{buildroot}/%_kde_docdir/%{name}
mv doc/* %{buildroot}/%_kde_docdir/%{name}


%changelog

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228463
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 1:4.8.1-1.mga2
+ Revision: 221492
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198176
- Updating tarball to KDE 4.8.0

* Fri Jan 06 2012 mikala <mikala> 1:4.7.97-0.mga2
+ Revision: 191994
- Update tarball to KDE SC 4.7.97

* Fri Dec 23 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 186425
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182136
- Update tarball to KDE SC 4.7.90
- Fix BuildRequires
- use gold as linker
- build with DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176468
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161364
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151967
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140658
- Update tarball to KDE SC 4.7.1
- Split konsole documentation in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use kde4 macros
- fix license
- fix files list

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122412
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-2.mga2
+ Revision: 115675
- imported package konsole

